### Method

# Gdk.ContentFormats.get_mime_types

#### Declaration [src]

    const char* const*
    gdk_content_formats_get_mime_types (
      const GdkContentFormats* formats,
      gsize* n_mime_types
    )

#### Description [src]

Gets the mime types included in `formats`.

Note that `formats` may not contain any mime types, in particular when they are empty. In that case `NULL` will be returned.

#### Parameters

`n_mime_types` | `gsize*`
| optional pointer to take the number of mime types contained in the return value
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: An array of `utf8`
`NULL`-terminated array of interned strings of mime types included in `formats` or `NULL` if none.
| The array must be `NULL` terminated
| The length of the array is in the `n_mime_types` argument
Ownership is not transferred to the caller
Can be `NULL`